List event categories
Lists the valid event categories — the values you can pass to /v1/news’s event_type filter.
GET
/v1/eventsTry it
GET
https://newsapi.insighthread.com/api/v1/eventsServer
Authorization
Request
curl -X GET "https://newsapi.insighthread.com/api/v1/events" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://newsapi.insighthread.com/api/v1/events", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"https://newsapi.insighthread.com/api/v1/events",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"count": 0,
"data": [
{
"event_type": "string",
"slug": "string"
}
]
}{
"error": {
"type": "unauthorized",
"message": "string"
}
}Authorization
AuthorizationBearer token · headerrequiredAn API key, e.g. `Authorization: Bearer ik_test_...` or `Authorization: Bearer ik_live_...`.
Responses
200Event categories.
countintegerdataobject[]Show propertiesHide properties
Array of
objectevent_typestringslugstring401Missing, malformed, or revoked API key.
errorobjectShow propertiesHide properties
typestringAllowed:
unauthorizedinvalid_requestserver_errormessagestring
